Page MenuHomePhabricator

WDQS bans its own monitoring due to bad user agent
Closed, ResolvedPublic

Description

Got this in logs:

07:10:52.892 [qtp226170135-45141] INFO  o.w.q.r.b.t.ThrottlingFilter IP:localhost UA:python-requests/2.12.4 - A request is being banned.

So this is the result of "bad user agent" policy where user agents having only python-requests can get banned by user agent. Which has the problem that we are our own enemy - we also are using bad user agent for our monitoring scripts, apparently. We should fix that ASAP.

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptJun 25 2019, 7:13 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Smalyshev triaged this task as High priority.Jun 25 2019, 7:13 AM

Mentioned in SAL (#wikimedia-operations) [2019-06-25T08:11:51Z] <smalyshev@deploy1001> Started deploy [wdqs/wdqs@bd3df8c]: modify agents for T226471

Mentioned in SAL (#wikimedia-operations) [2019-06-25T08:22:53Z] <smalyshev@deploy1001> Finished deploy [wdqs/wdqs@bd3df8c]: modify agents for T226471 (duration: 11m 02s)

https://gerrit.wikimedia.org/r/#/c/operations/puppet/+/517032/ this is the proposed format for wmf user agent strings for monitoring checks.

Change 518914 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] wdqs: Set a custom U-A for prometheus blazegraph exporter

https://gerrit.wikimedia.org/r/518914

Gehel claimed this task.Jun 25 2019, 8:32 AM

Change 518914 merged by Gehel:
[operations/puppet@production] wdqs: Set a custom U-A for prometheus blazegraph exporter

https://gerrit.wikimedia.org/r/518914

prometheus blazegraph exporter updated, we should be good now.

Mentioned in SAL (#wikimedia-operations) [2019-06-25T17:08:33Z] <smalyshev@deploy1001> Started deploy [wdqs/wdqs@ca96238]: undo: modify agents for T226471

Mentioned in SAL (#wikimedia-operations) [2019-06-25T17:24:47Z] <smalyshev@deploy1001> Finished deploy [wdqs/wdqs@ca96238]: undo: modify agents for T226471 (duration: 16m 14s)

Smalyshev closed this task as Resolved.Jun 26 2019, 5:55 AM